MONGOC_GRIDFS_DROP(3)

NAME
mongoc_gridfs_drop - mongoc_gridfs_drop()

SYNOPSIS

        bool
        mongoc_gridfs_drop (mongoc_gridfs_t *gridfs, bson_error_t *error);

PARAMETERS

    •   gridfs: A mongoc_gridfs_t.

    •   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

Requests that an entire GridFS be dropped, including all files associated with it.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc